NodeRings Docs

List Payout Invoices

GET
/v1/provider/payout-invoices
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Query Parameters

page?integer
Formatint32
pageSize?integer
Formatint32
status?string

Filter by payout status

Value in"PAYOUT_STATUS_UNSPECIFIED" | "PAYOUT_STATUS_PENDING" | "PAYOUT_STATUS_PROCESSING" | "PAYOUT_STATUS_COMPLETED" | "PAYOUT_STATUS_FAILED" | "PAYOUT_STATUS_CANCELED"

Response Body

application/json

curl -X GET "https://api.nrings.io/v1/provider/payout-invoices?page&pageSize&status" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}"
{
  "payoutInvoices": [
    {
      "id": "string",
      "amount": "string",
      "platformFeeAmount": "string",
      "currency": "string",
      "payoutStatus": "PAYOUT_STATUS_UNSPECIFIED",
      "transferTransactionId": "string",
      "paymentProvider": "string",
      "connectAccountId": "string",
      "processedAt": "2019-08-24T14:15:22Z",
      "completedAt": "2019-08-24T14:15:22Z",
      "failedAt": "2019-08-24T14:15:22Z",
      "failureReason": "string",
      "failureCode": "string",
      "retryCount": 0,
      "maxRetries": 0,
      "lastRetryAt": "2019-08-24T14:15:22Z",
      "invoiceIds": [
        "string"
      ],
      "providerOrganizationId": "string",
      "metadata": {},
      "status": "STATUS_UNSPECIFIED",
      "timestamps": {
        "createTime": "2019-08-24T14:15:22Z",
        "updateTime": "2019-08-24T14:15:22Z"
      }
    }
  ],
  "totalCount": 0,
  "page": 0,
  "pageSize": 0
}